<div class="container">
    <div class="row justify-content-center">
        <h2>
            Add new label
        </h2>
    </div>
    <div class="row">
        <div class="col-12">
            <form (ngSubmit)="submit()" [formGroup]="form">
                <div class="form-row">
                    <div class="col-12">
                        <div class="form-group">
                            <label for="name">Label</label>
                            <input autocomplete="off" class="form-control here" formControlName="name" id="name"
                                   name="name" required type="text">
                        </div>
                    </div>
                </div>
                <div class="form-row">
                    <div class="col-4 offset-4">
                        <div class="form-group">
                            <button [disabled]="!form.valid" class="btn btn-block btn-success"
                                    type="submit">{{this.getSubmitButtonLabel()}}
                            </button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <table class="table table-sm table-bordered table-striped margin-bottom-200px">
                <thead class="thead-dark">
                <tr class="d-flex">
                    <th class="col-10 text-center"><strong>Name</strong></th>
                    <th class="col-1 text-center"><strong>Edit</strong></th>
                    <th class="col-1 text-center"><strong>Delete</strong></th>
                </tr>
                </thead>
                <tbody>
                <tr *ngFor="let label of labels" class="d-flex">
                    <th class="col-10">{{label.name}}</th>
                    <th class="col-1 text-center">
                        <button (click)="this.edit(label.id)"
                                class="btn btn-warning btn-xtrasmall">
                            EDIT
                        </button>
                    </th>
                    <th class="col-1 text-center">
                        <button (click)="this.delete(label.id)" class="btn btn-danger btn-xtrasmall">
                            DELETE
                        </button>
                    </th>
                </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>
